Bug 1761070 - python-pycryptodomex: Remove (sub)packages from Fedora 32+: python2-pycryptodomex
Summary: python-pycryptodomex: Remove (sub)packages from Fedora 32+: python2-pycryptod...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pycryptodomex
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-12 09:30 UTC by Miro Hrončok
Modified: 2020-02-11 17:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 13:14:50 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2019-10-12 09:30:45 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-pycryptodomex were marked for removal:

 * python2-pycryptodomex

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 32).

Please don't remove packages from Fedora 31, it is past Beta Freeze.
Please don't do this for Fedora 30/29 either, removing packages from a released Fedora branch is forbidden.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2019-10-15 10:48:11 UTC
I suggest to wait with this, see https://pagure.io/fesco/issue/2247#comment-604664

Comment 2 Miro Hrončok 2019-10-22 13:14:50 UTC
python-volatility started to depend on this.

Mohamed, please reply in https://pagure.io/fesco/issue/2247

Comment 3 Paul Howarth 2019-11-07 15:30:31 UTC
Hi Mohamed, I would like to get python-dns switched from pycrypto to pycryptodomex (https://src.fedoraproject.org/rpms/python-dns/pull-request/1) and also to retain the Python 2 version of python-dns, which is needed by my package trac-spamfilter-plugin, until such time as trac is ported to Python 3. Would you be OK to keep the Python 2 build of pycryptodomex around?

Comment 4 Mohamed El Morabity 2019-11-08 08:59:55 UTC
(In reply to Paul Howarth from comment #3)
> Hi Mohamed, I would like to get python-dns switched from pycrypto to
> pycryptodomex (https://src.fedoraproject.org/rpms/python-dns/pull-request/1)
> and also to retain the Python 2 version of python-dns, which is needed by my
> package trac-spamfilter-plugin, until such time as trac is ported to Python
> 3. Would you be OK to keep the Python 2 build of pycryptodomex around?

Sure, I will keep the Python 2 subpackage as long as its needed.

Comment 5 Paul Howarth 2019-11-08 09:50:21 UTC
Great, thanks.

Comment 6 Ben Cotton 2020-02-11 17:48:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.